Bug 479864 - (CVE-2008-5262) CVE-2008-5262 DevIL: RGBE buffer overflow vulnerabilities
CVE-2008-5262 DevIL: RGBE buffer overflow vulnerabilities
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://sourceforge.net/tracker/index....
reported=20090113,public=20090109,imp...
: Security
Depends On: 480269
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 12:14 EST by Jan Lieskovsky
Modified: 2010-06-25 05:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 05:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-01-13 12:14:10 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5262 to
the following vulnerability:

Multiple stack-based buffer overflows in the iGetHdrHeader function in
src-IL/src/il_hdr.c in DevIL 1.7.4 allow context-dependent attackers
to execute arbitrary code via a crafted Radiance RGBE file.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5262
http://secunia.com/secunia_research/2008-59/
http://www.securityfocus.com/bid/33231
http://secunia.com/advisories/33470
http://sourceforge.net/tracker/index.php?func=detail&aid=2496518&group_id=4470&atid=104470

Patch:
http://openil.cvs.sourceforge.net/viewvc/openil/DevIL/src-IL/src/il_hdr.c?view=log
http://openil.cvs.sourceforge.net/viewvc/openil/DevIL/src-IL/src/il_hdr.c?r1=1.17&r2=1.18
Comment 1 Jan Lieskovsky 2009-01-13 12:14:53 EST
This issue affects all versions of the DevIL package, as shipped
with Fedora release of 9, 10 and devel.

Please fix.
Comment 2 Hans de Goede 2009-01-14 07:44:44 EST
I've prepped and build new DevIL packages fixing this for f9 - f11: DevIL-1.7.5-1.fc#

IIRC there is some magic to be done with the bodhi entries, using multiple tracker bugs (one per release), or something like that. So I'll leave creating the actual bodhi entries to the security team, the updates are build and ready to go.
Comment 3 Fedora Update System 2009-01-15 05:35:19 EST
DevIL-1.7.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/DevIL-1.7.5-1.fc10
Comment 4 Fedora Update System 2009-01-15 05:35:24 EST
DevIL-1.7.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/DevIL-1.7.5-1.fc9
Comment 5 Tomas Hoger 2009-01-15 05:36:21 EST
(In reply to comment #2)
> IIRC there is some magic to be done with the bodhi entries, using multiple
> tracker bugs (one per release), or something like that.

They are rather a bit of tracking help, rather than any strict requirement.  It's more important to reference this bug in the update request.  Submitted.
Comment 6 Tomas Hoger 2009-01-19 04:52:04 EST
It was reported that the upstream patch is off-by-one:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=512122#5

(this does not seem to be corrected in the upstream CVS yet)
Comment 7 Hans de Goede 2009-01-19 05:04:43 EST
(In reply to comment #6)
> It was reported that the upstream patch is off-by-one:
>   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=512122#5
> 
> (this does not seem to be corrected in the upstream CVS yet)

Oh, a new update fixing this is on its way.
Comment 8 Fedora Update System 2009-01-19 05:46:47 EST
DevIL-1.7.5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/DevIL-1.7.5-2.fc10
Comment 9 Fedora Update System 2009-01-19 05:47:23 EST
DevIL-1.7.5-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/DevIL-1.7.5-2.fc9
Comment 10 Fedora Update System 2009-01-21 16:38:57 EST
DevIL-1.7.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-01-21 16:39:39 EST
DevIL-1.7.5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.